﻿using System;
using SharpRss.Models;
using ToolQit;

namespace WebSharpRSS.Models
{
    public class FeedItemData : FeedItemModel
    {
        public FeedItemData()
        {
            if (Link == null) return;
            //FaviconUrl = new Uri(Link).AbsoluteUri;
            //FaviconUrl = string.Format(Caretaker.Settings["Paths"].GetString("FaviconResolveUrl"), Link.Remove(Link.IndexOf("http", StringComparison.Ordinal), Link.IndexOf("://", StringComparison.Ordinal) + 3));
        }
        public static FeedItemData? FromModel(FeedItemModel model) => Utilities.ConvertFrom<FeedItemData, FeedItemModel>(model);
        public string? FaviconUrl
        {
            get
            {
                if (Link == null) return null;
                Uri uri = new Uri(Link);
                return string.Format(Caretaker.Settings["Paths"].GetString("FaviconResolveUrl"), uri.Host);
            }
        }

        public string? Icon { get; set; }
    }
}
